package com.zhongshu.card.server.core.dao.payment;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.payment.extend.ExpenseFlowDaoExtend;
import com.zhongshu.card.server.core.domain.payment.ExpenseFlow;
import com.zhongshu.card.server.core.domain.school.Area;

import java.util.List;

/**
 * 消费流水Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface ExpenseFlowDao extends MongoDao<ExpenseFlow>, ExpenseFlowDaoExtend {

    ExpenseFlow findTopById(String id);

    ExpenseFlow findTopByPaymentNo(String paymentNo);

    ExpenseFlow findTopByOrderNoAndCardNoOrderByCreateTimeDesc(String orderNo, String cardNo);

    ExpenseFlow findTopByOrderNoOrderByCreateTimeDesc(String orderNo);

    ExpenseFlow findTopByRefundNo(String refundNo);
}
